#ifndef CPLUS_PARSER
#define CPLUS_PARSER

         extern int hasGotError;
        #include "interf.h"
        #ifdef CONST
        #undef CONST
        #endif
        #ifdef ERROR
        #undef ERROR
        #endif
        #ifdef VOID
        #undef VOID
        #endif
        #ifdef DELETE
        #undef DELETE
        #endif
    


#ifdef __cplusplus
#include "pretty.h"
typedef int (pretty::** _FUNC_MEMB_CPLUS) ();
class cplus: public pretty,public virtual Parser {
    public :
    
    static int init ; 
    
    cplus () {
        ptTokenArray = _tokenArray;
        ptTokenFuncArray =(_FUNC_MEMB_CPLUS) _tokenFuncArray;
        ptTokenNbFuncArray = _tokenNbFuncArray;
        InitConst ();
        keepCarriage = 0 ;
        keepAll = 0 ;
        
    }
    
    ~cplus () {}
    
    virtual void AsLanguage () { SwitchLang("cplus");}
    
    virtual void * rootGrammar () { return (void *) this;}
    virtual int Lex() ;
    virtual int LexComment() ;
    virtual int LexDefine() ;
    virtual int LexDefineName() ;
    virtual int LexEndLine() ;
    virtual int LexInclude() ;
    virtual int LexMeta() ;
    virtual int LexPragma() ;
    virtual int LexPragmaSmall() ;
    virtual int LexUndef() ;
    virtual int PushArgument() ;
    virtual int PushFunction() ;
    virtual PPTREE abstract_declarator ( int error_free) ;
    virtual PPTREE additive_expression ( int error_free) ;
    virtual PPTREE alloc_expression ( int error_free) ;
    virtual PPTREE allocation_expression ( int error_free) ;
    virtual PPTREE and_expression ( int error_free) ;
    virtual PPTREE arg_declarator ( int error_free) ;
    virtual PPTREE arg_declarator_base ( int error_free) ;
    virtual PPTREE arg_declarator_followed ( int error_free) ;
    virtual PPTREE arg_declarator_type ( int error_free) ;
    virtual PPTREE arg_typ_declarator ( int error_free) ;
    virtual PPTREE arg_typ_list ( int error_free) ;
    virtual PPTREE asm_declaration ( int error_free) ;
    virtual PPTREE assignment_end ( int error_free) ;
    virtual PPTREE assignment_expression ( int error_free) ;
    virtual PPTREE base_specifier ( int error_free) ;
    virtual PPTREE base_specifier_elem ( int error_free) ;
    virtual PPTREE bit_field_decl ( int error_free) ;
    virtual PPTREE cast_expression ( int error_free) ;
    virtual PPTREE cast_expression_value ( int error_free) ;
    virtual PPTREE catch_unit ( int error_free) ;
    virtual PPTREE catch_unit_ansi ( int error_free) ;
    virtual PPTREE class_declaration ( int error_free) ;
    virtual PPTREE comment_eater ( int error_free) ;
    virtual PPTREE complete_class_name ( int error_free) ;
    virtual PPTREE compound_statement ( int error_free) ;
    virtual PPTREE conditional_expression ( int error_free) ;
    virtual PPTREE const_or_volatile ( int error_free) ;
    virtual PPTREE constan ( int error_free) ;
    virtual PPTREE ctor_initializer ( int error_free) ;
    virtual PPTREE data_decl_exotic ( int error_free) ;
    virtual PPTREE data_decl_sc_decl ( int error_free) ;
    virtual PPTREE data_decl_sc_ty_decl ( int error_free) ;
    virtual PPTREE data_declaration ( int error_free) ;
    virtual PPTREE data_declaration_for ( int error_free) ;
    virtual PPTREE data_declaration_strict ( int error_free) ;
    virtual PPTREE deallocation_expression ( int error_free) ;
    virtual PPTREE declarator ( int error_free) ;
    virtual PPTREE declarator_follow ( int error_free) ;
    virtual PPTREE declarator_list ( int error_free) ;
    virtual PPTREE declarator_list_init ( int error_free) ;
    virtual PPTREE declarator_value ( int error_free) ;
    virtual PPTREE define_dir ( int error_free) ;
    virtual PPTREE directive ( int error_free) ;
    virtual PPTREE end_pragma ( int error_free) ;
    virtual PPTREE enum_val ( int error_free) ;
    virtual PPTREE equality_expression ( int error_free) ;
    virtual PPTREE exception ( int error_free) ;
    virtual PPTREE exception_ansi ( int error_free) ;
    virtual PPTREE exception_list ( int error_free) ;
    virtual PPTREE exclusive_or_expression ( int error_free) ;
    virtual PPTREE expression ( int error_free) ;
    virtual PPTREE expression_for ( int error_free) ;
    virtual PPTREE ext_all ( int error_free) ;
    virtual PPTREE ext_all_ext ( int error_free) ;
    virtual PPTREE ext_all_no_linkage ( int error_free) ;
    virtual PPTREE ext_data_decl_sc_ty ( int error_free) ;
    virtual PPTREE ext_data_decl_simp ( int error_free) ;
    virtual PPTREE ext_data_declaration ( int error_free) ;
    virtual PPTREE ext_decl_dir ( int error_free) ;
    virtual PPTREE ext_decl_if_dir ( int error_free) ;
    virtual PPTREE ext_decl_ifdef_dir ( int error_free) ;
    virtual PPTREE func_declaration ( int error_free) ;
    virtual PPTREE func_declarator ( int error_free) ;
    virtual PPTREE ident_mul ( int error_free) ;
    virtual PPTREE include_dir ( int error_free) ;
    virtual PPTREE inclusive_or_expression ( int error_free) ;
    virtual PPTREE initializer ( int error_free) ;
    virtual PPTREE inside_declaration ( int error_free) ;
    virtual PPTREE inside_declaration1 ( int error_free) ;
    virtual PPTREE inside_declaration2 ( int error_free) ;
    virtual PPTREE label_beg ( int error_free) ;
    virtual PPTREE linkage_specification ( int error_free) ;
    virtual PPTREE logical_and_expression ( int error_free) ;
    virtual PPTREE logical_or_expression ( int error_free) ;
    virtual PPTREE long_short_int_char ( int error_free) ;
    virtual PPTREE macro ( int error_free) ;
    virtual PPTREE macro_extended ( int error_free) ;
    virtual PPTREE main_entry ( int error_free) ;
    virtual PPTREE member_declarator ( int error_free) ;
    virtual PPTREE message_map ( int error_free) ;
    virtual PPTREE multiplicative_expression ( int error_free) ;
    virtual PPTREE name_space ( int error_free) ;
    virtual PPTREE new_1 ( int error_free) ;
    virtual PPTREE new_2 ( int error_free) ;
    virtual PPTREE new_declarator ( int error_free) ;
    virtual PPTREE new_type_name ( int error_free) ;
    virtual PPTREE none_statement ( int error_free) ;
    virtual PPTREE operator_function_name ( int error_free) ;
    virtual PPTREE other_config ( int error_free) ;
    virtual PPTREE parameter_list ( int error_free) ;
    virtual PPTREE parameter_list_extended ( int error_free) ;
    virtual PPTREE parse_entry ( int error_free) ;
    virtual PPTREE pm_expression ( int error_free) ;
    virtual PPTREE postfix_expression ( int error_free) ;
    virtual PPTREE primary_expression ( int error_free) ;
    virtual PPTREE program ( int error_free) ;
    virtual PPTREE protect_declare ( int error_free) ;
    virtual PPTREE ptr_operator ( int error_free) ;
    virtual PPTREE qualified_name ( int error_free) ;
    virtual PPTREE qualified_name_elem ( int error_free) ;
    virtual PPTREE quick_prog ( int error_free) ;
    virtual PPTREE quick_prog_elem ( int error_free) ;
    virtual PPTREE range_in_liste ( int error_free) ;
    virtual PPTREE range_modifier ( int error_free) ;
    virtual PPTREE range_modifier_function ( int error_free) ;
    virtual PPTREE range_modifier_ident ( int error_free) ;
    virtual PPTREE range_pragma ( int error_free) ;
    virtual PPTREE relational_expression ( int error_free) ;
    virtual PPTREE sc_specifier ( int error_free) ;
    virtual PPTREE shift_expression ( int error_free) ;
    virtual PPTREE simple_type ( int error_free) ;
    virtual PPTREE simple_type_name ( int error_free) ;
    virtual PPTREE sizeof_type ( int error_free) ;
    virtual int specific() ;
    virtual PPTREE stat_all ( int error_free) ;
    virtual PPTREE stat_dir ( int error_free) ;
    virtual PPTREE stat_if_dir ( int error_free) ;
    virtual PPTREE stat_ifdef_dir ( int error_free) ;
    virtual PPTREE statement ( int error_free) ;
    virtual PPTREE string_list ( int error_free) ;
    virtual PPTREE switch_elem ( int error_free) ;
    virtual PPTREE switch_list ( int error_free) ;
    virtual PPTREE template_type ( int error_free) ;
    virtual int the_exit() ;
    virtual PPTREE type_and_declarator ( int error_free) ;
    virtual PPTREE type_descr ( int error_free) ;
    virtual PPTREE type_name ( int error_free) ;
    virtual PPTREE type_specifier ( int error_free) ;
    virtual PPTREE type_specifier_without_param ( int error_free) ;
    virtual PPTREE typedef_and_declarator ( int error_free) ;
    virtual PPTREE unary_expression ( int error_free) ;
    
    
    int keepCarriage;
    int keepAll;
    static signed char * _tokenArray [131];
    static int (cplus::*(_tokenFuncArray [131])) ();
    static int _tokenNbFuncArray [131];

    virtual int SortKeyWord (int ret);
    virtual int UpSortKeyWord (int ret); 
    virtual void InitConst ();
    
    enum constants {
        BDECR =     334 ,
        BINCR =     333 ,
        ADDR =  332 ,
        NOT =   331 ,
        LNEG =  330 ,
        POS =   329 ,
        NEG =   328 ,
        PARAM_TYPE =    327 ,
        STRING_LIST =   326 ,
        LABEL =     325 ,
        THROW_ANSI =    324 ,
        ELSE =  323 ,
        TUNSIGNED =     322 ,
        TSIGNED =   321 ,
        TIDENT =    320 ,
        TFLOAT =    319 ,
        TDOUBLE =   318 ,
        RSHI =  317 ,
        LSHI =  316 ,
        LT =    315 ,
        GT =    314 ,
        GEQU =  313 ,
        LEQU =  312 ,
        SPACE_ARROW =   311 ,
        TAB_DIRECTIVE =     310 ,
        ENUM_PARAMETERS_UNDER =     309 ,
        ENUM_VERT_VALUE =   308 ,
        PROTECT_MEMB =  307 ,
        LANGUAGE =  306 ,
        EXP =   305 ,
        ADECR =     304 ,
        AINCR =     303 ,
        ARROW =     302 ,
        REF =   301 ,
        EXP_ARRAY =     300 ,
        EXP_LIST =  299 ,
        ARROW_MEMB =    298 ,
        DOT_MEMB =  297 ,
        POINETOI =  296 ,
        TIRESUPEETOI =  295 ,
        TIRESUPE =  294 ,
        SUPESUPE =  293 ,
        INFEINFE =  292 ,
        SUPEEGAL =  291 ,
        INFEEGAL =  290 ,
        NONE =  289 ,
        NEW_DECLARATOR =    288 ,
        USING_NAMESPACE =   287 ,
        NAMESPACE_ALIAS =   286 ,
        REM =   285 ,
        DIV =   284 ,
        MUL =   283 ,
        POURC =     282 ,
        MESSAGE_MAP =   281 ,
        MACRO =     280 ,
        TCHAR =     279 ,
        TSHORT =    278 ,
        TLONG =     277 ,
        TINT =  276 ,
        OR =    275 ,
        VBARVBAR =  274 ,
        AND =   273 ,
        ETCOETCO =  272 ,
        COMPOUND_EXT =  271 ,
        EXTERNAL =  270 ,
        INITIALIZER =   269 ,
        LOR =   268 ,
        VBAR =  267 ,
        FUNC =  266 ,
        STAT_VOID =     265 ,
        TEMPLATE_DECL =     264 ,
        SUPE =  263 ,
        CLASS_PARAM =   262 ,
        EXP_SEQ =   261 ,
        LXOR =  260 ,
        CHAP =  259 ,
        EXCEPTION_LIST =    258 ,
        EXCEPTION_ANSI =    257 ,
        EXCEPTION =     256 ,
        NEQU =  255 ,
        EQU =   254 ,
        EXCLEGAL =  253 ,
        EGALEGAL =  252 ,
        PRAGMA =    251 ,
        PARAMETERS =    250 ,
        FUNC_HEADER =   249 ,
        INDENT_FUNCTION_TYPE =  248 ,
        COMMENT_PLUS =  247 ,
        COMMENT_END =   246 ,
        COMMENT_MIDDLE =    245 ,
        COMMENT_START =     244 ,
        MARGIN_VALUE =  243 ,
        BRACE_ALIGN_VALUE =     242 ,
        DECL_ALIGN =    241 ,
        ASSIGN_ALIGN =  240 ,
        SINGLE_SWITCH_INDENT_VALUE =    239 ,
        SIMPLIFY_VALUE =    238 ,
        SIMPLIFY =  237 ,
        MODE_VALUE =    236 ,
        TAB_VALUE =     235 ,
        CONFIG =    234 ,
        NO_PRETTY =     233 ,
        ALINE =     232 ,
        ERROR =     231 ,
        UNDEF =     230 ,
        TYP_AFF_CALL =  229 ,
        MEMBER_DECLARATOR =     228 ,
        TYP_ARRAY =     227 ,
        CFER =  226 ,
        COUV =  225 ,
        FOR_DECLARATION =   224 ,
        DECLARATION =   223 ,
        CTOR_INITIALIZER =  222 ,
        CTOR_INIT =     221 ,
        LONGLONG =  220 ,
        IUNLONGLONG =   219 ,
        IUNLONG =   218 ,
        IUN =   217 ,
        ILONGLONG =     216 ,
        ILONG =     215 ,
        RANGE_MODIFIER =    214 ,
        COND_AFF =  213 ,
        INTE =  212 ,
        COMPOUND =  211 ,
        CLASS_DECL =    210 ,
        AFER =  209 ,
        CATCH_ANSI =    208 ,
        EXCEPT_ANSI_ALL =   207 ,
        CAST =  206 ,
        DPOI =  205 ,
        TYP_BIT =   204 ,
        PROTECT =   203 ,
        BASE_LIST =     202 ,
        XOR_AFF =   201 ,
        OR_AFF =    200 ,
        AND_AFF =   199 ,
        RSH_AFF =   198 ,
        LSH_AFF =   197 ,
        MIN_AFF =   196 ,
        PLU_AFF =   195 ,
        REM_AFF =   194 ,
        DIV_AFF =   193 ,
        MUL_AFF =   192 ,
        AFF =   191 ,
        VAR_LIST =  190 ,
        TYP_LIST =  189 ,
        TYP_AFF =   188 ,
        ABST_DECLARATOR =   187 ,
        DECLARATOR =    186 ,
        POINPOINPOIN =  185 ,
        LAND =  184 ,
        INIT_NEW =  183 ,
        VIRG =  182 ,
        QUALIFIED =     181 ,
        MINUS =     180 ,
        TYP =   179 ,
        PFER =  178 ,
        DESTRUCT =  177 ,
        TYP_REF =   176 ,
        TYP_ADDR =  175 ,
        INFE =  174 ,
        DEFAULT =   173 ,
        CASE =  172 ,
        USING =     171 ,
        NAMESPACE =     170 ,
        TYPEDEF =   169 ,
        TEMPLATE =  168 ,
        CATCH =     167 ,
        PUBLIC =    166 ,
        PROTECTED =     165 ,
        PRIVATE =   164 ,
        CHAPEGAL =  163 ,
        VBAREGAL =  162 ,
        ETCOEGAL =  161 ,
        SUPESUPEEGAL =  160 ,
        INFEINFEEGAL =  159 ,
        TIREEGAL =  158 ,
        PLUSEGAL =  157 ,
        POURCEGAL =     156 ,
        ETOIEGAL =  155 ,
        EGAL =  154 ,
        ASM =   153 ,
        VA_ARG =    152 ,
        DELETE =    151 ,
        NEW =   150 ,
        SIZEOF =    149 ,
        TIRETIRE =  148 ,
        PLUSPLUS =  147 ,
        EXCL =  146 ,
        PLUS =  145 ,
        TIRE =  144 ,
        POUV =  143 ,
        TRY =   142 ,
        THROW =     141 ,
        FORALLSONS =    140 ,
        WHILE =     139 ,
        SWITCH =    138 ,
        RETURN =    137 ,
        PVIR =  136 ,
        IF =    135 ,
        FOR =   134 ,
        AOUV =  133 ,
        DO =    132 ,
        CONTINUE =  131 ,
        BREAK =     130 ,
        OPERATOR =  129 ,
        TILD =  128 ,
        ETCO =  127 ,
        ETOI =  126 ,
        SHORT =     125 ,
        UNSIGNED =  124 ,
        SIGNED =    123 ,
        LONG =  122 ,
        DPOIDPOI =  121 ,
        VOID =  120 ,
        FLOAT =     119 ,
        CHAR =  118 ,
        INT =   117 ,
        DOUBLE =    116 ,
        CLASS =     115 ,
        UNION =     114 ,
        STRUCT =    113 ,
        ENUM =  112 ,
        CONST =     111 ,
        FRIEND =    110 ,
        VIRTUAL =   109 ,
        INLINE =    108 ,
        VOLATILE =  107 ,
        REGISTER =  106 ,
        EXTERN =    105 ,
        STATIC =    104 ,
        AUTO =  103 ,
        FUNC_SPEC =     102 ,
        TRY_UPPER =     101 ,
        END_CATCH =     100 ,
        END_CATCH_ALL =     99 ,
        AND_CATCH =     98 ,
        CATCH_UPPER =   97 ,
        CATCH_ALL =     96 ,
        END_MESSAGE_MAP =   95 ,
        BEGIN_MESSAGE_MAP =     94 ,
        DECLARE_MESSAGE_MAP =   93 ,
        IMPLEMENT_SERIAL =  92 ,
        IMPLEMENT_DYNCREATE =   91 ,
        IMPLEMENT_DYNAMIC =     90 ,
        DECLARE_SERIAL =    89 ,
        DECLARE_DYNAMIC =   88 ,
        PUSH_FUNCTION =     87 ,
        PUSH_ARGUMENT =     86 ,
        UNDEF_CONTENT =     85 ,
        SMALL_PRAGMA_CONTENT =  84 ,
        PRAGMA_CONTENT =    83 ,
        PRAGMA_ENUM_VERT =  82 ,
        PRAGMA_SPACE_ARROW =    81 ,
        PRAGMA_PARAMETERS =     80 ,
        PRAGMA_PARAMETERS_UNDER =   79 ,
        PRAGMA_FUNC_HEADER =    78 ,
        PRAGMA_INDENT_FUNCTION_TYPE =   77 ,
        PRAGMA_COMMENT_PLUS =   76 ,
        PRAGMA_COMMENT_END =    75 ,
        PRAGMA_COMMENT_MIDDLE =     74 ,
        PRAGMA_COMMENT_START =  73 ,
        PRAGMA_MARGIN =     72 ,
        PRAGMA_DECL_ALIGN =     71 ,
        PRAGMA_ASSIGN_ALIGN =   70 ,
        PRAGMA_SINGLE_SWITCH_INDENT =   69 ,
        PRAGMA_SIMPLIFY =   68 ,
        PRAGMA_BRACE_ALIGN =    67 ,
        PRAGMA_MODE =   66 ,
        PRAGMA_RANGE =  65 ,
        PRAGMA_TAB =    64 ,
        PRAGMA_TAB_DIRECTIVE =  63 ,
        PRAGMA_CONFIG =     62 ,
        PRAGMA_NOPRETTY =   61 ,
        PRAGMA_PRETTY =     60 ,
        INCLUDE_LOCAL =     59 ,
        INCLUDE_SYS =   58 ,
        END_LINE =  57 ,
        DEFINE_NAME =   56 ,
        DEFINED_NOT_CONTINUED =     55 ,
        DEFINED_CONTINUED =     54 ,
        POINT =     53 ,
        SLAS =  52 ,
        SLASEGAL =  51 ,
        CARRIAGE_RETURN =   50 ,
        UNDEF_DIR =     49 ,
        DEFINE_DIR =    48 ,
        ERROR_DIR =     47 ,
        PRAGMA_DIR =    46 ,
        LINE_DIR =  45 ,
        ENDIF_DIR =     44 ,
        ELIF_DIR =  43 ,
        ELSE_DIR =  42 ,
        IF_DIR =    41 ,
        IFNDEF_DIR =    40 ,
        IFDEF_DIR =     39 ,
        INCLUDE_DIR =   38 ,
        OCTAL =     37 ,
        UOCTAL =    36 ,
        LOCTAL =    35 ,
        ULOCTAL =   34 ,
        LLOCTAL =   33 ,
        ULLOCTAL =  32 ,
        HEXA =  31 ,
        UHEXA =     30 ,
        LHEXA =     29 ,
        LLHEXA =    28 ,
        ULLHEXA =   27 ,
        ULHEXA =    26 ,
        INTEGER =   25 ,
        FLOATVAL =  24 ,
        UINTEGER =  23 ,
        LINTEGER =  22 ,
        LLINTEGER =     21 ,
        ULLINTEGER =    20 ,
        ULINTEGER =     19 ,
        CHARACT =   18 ,
        STRING =    17 ,
        IDENT =     16 ,
        GOTO_REL =  15 ,
        GOTO =  14 ,
        STR =   13 ,
        UNMARK =    12 ,
        MARK =  11 ,
        TAB_VIRT =  10 ,
        TAB =   9 ,
        NEWLINE =   8 ,
        ATTRIBUTS =     7 ,
        PLUS____TIRETIRETIRETIRETIRETIRE____ =  6 ,
        PLACE_HOLD_CONST
    } ; 
} ; 

extern cplus * parser_cplus;

#endif
#define BDECR_cplus     334
#define BINCR_cplus     333
#define ADDR_cplus  332
#define NOT_cplus   331
#define LNEG_cplus  330
#define POS_cplus   329
#define NEG_cplus   328
#define PARAM_TYPE_cplus    327
#define STRING_LIST_cplus   326
#define LABEL_cplus     325
#define THROW_ANSI_cplus    324
#define ELSE_cplus  323
#define TUNSIGNED_cplus     322
#define TSIGNED_cplus   321
#define TIDENT_cplus    320
#define TFLOAT_cplus    319
#define TDOUBLE_cplus   318
#define RSHI_cplus  317
#define LSHI_cplus  316
#define LT_cplus    315
#define GT_cplus    314
#define GEQU_cplus  313
#define LEQU_cplus  312
#define SPACE_ARROW_cplus   311
#define TAB_DIRECTIVE_cplus     310
#define ENUM_PARAMETERS_UNDER_cplus     309
#define ENUM_VERT_VALUE_cplus   308
#define PROTECT_MEMB_cplus  307
#define LANGUAGE_cplus  306
#define EXP_cplus   305
#define ADECR_cplus     304
#define AINCR_cplus     303
#define ARROW_cplus     302
#define REF_cplus   301
#define EXP_ARRAY_cplus     300
#define EXP_LIST_cplus  299
#define ARROW_MEMB_cplus    298
#define DOT_MEMB_cplus  297
#define POINETOI_cplus  296
#define TIRESUPEETOI_cplus  295
#define TIRESUPE_cplus  294
#define SUPESUPE_cplus  293
#define INFEINFE_cplus  292
#define SUPEEGAL_cplus  291
#define INFEEGAL_cplus  290
#define NONE_cplus  289
#define NEW_DECLARATOR_cplus    288
#define USING_NAMESPACE_cplus   287
#define NAMESPACE_ALIAS_cplus   286
#define REM_cplus   285
#define DIV_cplus   284
#define MUL_cplus   283
#define POURC_cplus     282
#define MESSAGE_MAP_cplus   281
#define MACRO_cplus     280
#define TCHAR_cplus     279
#define TSHORT_cplus    278
#define TLONG_cplus     277
#define TINT_cplus  276
#define OR_cplus    275
#define VBARVBAR_cplus  274
#define AND_cplus   273
#define ETCOETCO_cplus  272
#define COMPOUND_EXT_cplus  271
#define EXTERNAL_cplus  270
#define INITIALIZER_cplus   269
#define LOR_cplus   268
#define VBAR_cplus  267
#define FUNC_cplus  266
#define STAT_VOID_cplus     265
#define TEMPLATE_DECL_cplus     264
#define SUPE_cplus  263
#define CLASS_PARAM_cplus   262
#define EXP_SEQ_cplus   261
#define LXOR_cplus  260
#define CHAP_cplus  259
#define EXCEPTION_LIST_cplus    258
#define EXCEPTION_ANSI_cplus    257
#define EXCEPTION_cplus     256
#define NEQU_cplus  255
#define EQU_cplus   254
#define EXCLEGAL_cplus  253
#define EGALEGAL_cplus  252
#define PRAGMA_cplus    251
#define PARAMETERS_cplus    250
#define FUNC_HEADER_cplus   249
#define INDENT_FUNCTION_TYPE_cplus  248
#define COMMENT_PLUS_cplus  247
#define COMMENT_END_cplus   246
#define COMMENT_MIDDLE_cplus    245
#define COMMENT_START_cplus     244
#define MARGIN_VALUE_cplus  243
#define BRACE_ALIGN_VALUE_cplus     242
#define DECL_ALIGN_cplus    241
#define ASSIGN_ALIGN_cplus  240
#define SINGLE_SWITCH_INDENT_VALUE_cplus    239
#define SIMPLIFY_VALUE_cplus    238
#define SIMPLIFY_cplus  237
#define MODE_VALUE_cplus    236
#define TAB_VALUE_cplus     235
#define CONFIG_cplus    234
#define NO_PRETTY_cplus     233
#define ALINE_cplus     232
#define ERROR_cplus     231
#define UNDEF_cplus     230
#define TYP_AFF_CALL_cplus  229
#define MEMBER_DECLARATOR_cplus     228
#define TYP_ARRAY_cplus     227
#define CFER_cplus  226
#define COUV_cplus  225
#define FOR_DECLARATION_cplus   224
#define DECLARATION_cplus   223
#define CTOR_INITIALIZER_cplus  222
#define CTOR_INIT_cplus     221
#define LONGLONG_cplus  220
#define IUNLONGLONG_cplus   219
#define IUNLONG_cplus   218
#define IUN_cplus   217
#define ILONGLONG_cplus     216
#define ILONG_cplus     215
#define RANGE_MODIFIER_cplus    214
#define COND_AFF_cplus  213
#define INTE_cplus  212
#define COMPOUND_cplus  211
#define CLASS_DECL_cplus    210
#define AFER_cplus  209
#define CATCH_ANSI_cplus    208
#define EXCEPT_ANSI_ALL_cplus   207
#define CAST_cplus  206
#define DPOI_cplus  205
#define TYP_BIT_cplus   204
#define PROTECT_cplus   203
#define BASE_LIST_cplus     202
#define XOR_AFF_cplus   201
#define OR_AFF_cplus    200
#define AND_AFF_cplus   199
#define RSH_AFF_cplus   198
#define LSH_AFF_cplus   197
#define MIN_AFF_cplus   196
#define PLU_AFF_cplus   195
#define REM_AFF_cplus   194
#define DIV_AFF_cplus   193
#define MUL_AFF_cplus   192
#define AFF_cplus   191
#define VAR_LIST_cplus  190
#define TYP_LIST_cplus  189
#define TYP_AFF_cplus   188
#define ABST_DECLARATOR_cplus   187
#define DECLARATOR_cplus    186
#define POINPOINPOIN_cplus  185
#define LAND_cplus  184
#define INIT_NEW_cplus  183
#define VIRG_cplus  182
#define QUALIFIED_cplus     181
#define MINUS_cplus     180
#define TYP_cplus   179
#define PFER_cplus  178
#define DESTRUCT_cplus  177
#define TYP_REF_cplus   176
#define TYP_ADDR_cplus  175
#define INFE_cplus  174
#define DEFAULT_cplus   173
#define CASE_cplus  172
#define USING_cplus     171
#define NAMESPACE_cplus     170
#define TYPEDEF_cplus   169
#define TEMPLATE_cplus  168
#define CATCH_cplus     167
#define PUBLIC_cplus    166
#define PROTECTED_cplus     165
#define PRIVATE_cplus   164
#define CHAPEGAL_cplus  163
#define VBAREGAL_cplus  162
#define ETCOEGAL_cplus  161
#define SUPESUPEEGAL_cplus  160
#define INFEINFEEGAL_cplus  159
#define TIREEGAL_cplus  158
#define PLUSEGAL_cplus  157
#define POURCEGAL_cplus     156
#define ETOIEGAL_cplus  155
#define EGAL_cplus  154
#define ASM_cplus   153
#define VA_ARG_cplus    152
#define DELETE_cplus    151
#define NEW_cplus   150
#define SIZEOF_cplus    149
#define TIRETIRE_cplus  148
#define PLUSPLUS_cplus  147
#define EXCL_cplus  146
#define PLUS_cplus  145
#define TIRE_cplus  144
#define POUV_cplus  143
#define TRY_cplus   142
#define THROW_cplus     141
#define FORALLSONS_cplus    140
#define WHILE_cplus     139
#define SWITCH_cplus    138
#define RETURN_cplus    137
#define PVIR_cplus  136
#define IF_cplus    135
#define FOR_cplus   134
#define AOUV_cplus  133
#define DO_cplus    132
#define CONTINUE_cplus  131
#define BREAK_cplus     130
#define OPERATOR_cplus  129
#define TILD_cplus  128
#define ETCO_cplus  127
#define ETOI_cplus  126
#define SHORT_cplus     125
#define UNSIGNED_cplus  124
#define SIGNED_cplus    123
#define LONG_cplus  122
#define DPOIDPOI_cplus  121
#define VOID_cplus  120
#define FLOAT_cplus     119
#define CHAR_cplus  118
#define INT_cplus   117
#define DOUBLE_cplus    116
#define CLASS_cplus     115
#define UNION_cplus     114
#define STRUCT_cplus    113
#define ENUM_cplus  112
#define CONST_cplus     111
#define FRIEND_cplus    110
#define VIRTUAL_cplus   109
#define INLINE_cplus    108
#define VOLATILE_cplus  107
#define REGISTER_cplus  106
#define EXTERN_cplus    105
#define STATIC_cplus    104
#define AUTO_cplus  103
#define FUNC_SPEC_cplus     102
#define TRY_UPPER_cplus     101
#define END_CATCH_cplus     100
#define END_CATCH_ALL_cplus     99
#define AND_CATCH_cplus     98
#define CATCH_UPPER_cplus   97
#define CATCH_ALL_cplus     96
#define END_MESSAGE_MAP_cplus   95
#define BEGIN_MESSAGE_MAP_cplus     94
#define DECLARE_MESSAGE_MAP_cplus   93
#define IMPLEMENT_SERIAL_cplus  92
#define IMPLEMENT_DYNCREATE_cplus   91
#define IMPLEMENT_DYNAMIC_cplus     90
#define DECLARE_SERIAL_cplus    89
#define DECLARE_DYNAMIC_cplus   88
#define PUSH_FUNCTION_cplus     87
#define PUSH_ARGUMENT_cplus     86
#define UNDEF_CONTENT_cplus     85
#define SMALL_PRAGMA_CONTENT_cplus  84
#define PRAGMA_CONTENT_cplus    83
#define PRAGMA_ENUM_VERT_cplus  82
#define PRAGMA_SPACE_ARROW_cplus    81
#define PRAGMA_PARAMETERS_cplus     80
#define PRAGMA_PARAMETERS_UNDER_cplus   79
#define PRAGMA_FUNC_HEADER_cplus    78
#define PRAGMA_INDENT_FUNCTION_TYPE_cplus   77
#define PRAGMA_COMMENT_PLUS_cplus   76
#define PRAGMA_COMMENT_END_cplus    75
#define PRAGMA_COMMENT_MIDDLE_cplus     74
#define PRAGMA_COMMENT_START_cplus  73
#define PRAGMA_MARGIN_cplus     72
#define PRAGMA_DECL_ALIGN_cplus     71
#define PRAGMA_ASSIGN_ALIGN_cplus   70
#define PRAGMA_SINGLE_SWITCH_INDENT_cplus   69
#define PRAGMA_SIMPLIFY_cplus   68
#define PRAGMA_BRACE_ALIGN_cplus    67
#define PRAGMA_MODE_cplus   66
#define PRAGMA_RANGE_cplus  65
#define PRAGMA_TAB_cplus    64
#define PRAGMA_TAB_DIRECTIVE_cplus  63
#define PRAGMA_CONFIG_cplus     62
#define PRAGMA_NOPRETTY_cplus   61
#define PRAGMA_PRETTY_cplus     60
#define INCLUDE_LOCAL_cplus     59
#define INCLUDE_SYS_cplus   58
#define END_LINE_cplus  57
#define DEFINE_NAME_cplus   56
#define DEFINED_NOT_CONTINUED_cplus     55
#define DEFINED_CONTINUED_cplus     54
#define POINT_cplus     53
#define SLAS_cplus  52
#define SLASEGAL_cplus  51
#define CARRIAGE_RETURN_cplus   50
#define UNDEF_DIR_cplus     49
#define DEFINE_DIR_cplus    48
#define ERROR_DIR_cplus     47
#define PRAGMA_DIR_cplus    46
#define LINE_DIR_cplus  45
#define ENDIF_DIR_cplus     44
#define ELIF_DIR_cplus  43
#define ELSE_DIR_cplus  42
#define IF_DIR_cplus    41
#define IFNDEF_DIR_cplus    40
#define IFDEF_DIR_cplus     39
#define INCLUDE_DIR_cplus   38
#define OCTAL_cplus     37
#define UOCTAL_cplus    36
#define LOCTAL_cplus    35
#define ULOCTAL_cplus   34
#define LLOCTAL_cplus   33
#define ULLOCTAL_cplus  32
#define HEXA_cplus  31
#define UHEXA_cplus     30
#define LHEXA_cplus     29
#define LLHEXA_cplus    28
#define ULLHEXA_cplus   27
#define ULHEXA_cplus    26
#define INTEGER_cplus   25
#define FLOATVAL_cplus  24
#define UINTEGER_cplus  23
#define LINTEGER_cplus  22
#define LLINTEGER_cplus     21
#define ULLINTEGER_cplus    20
#define ULINTEGER_cplus     19
#define CHARACT_cplus   18
#define STRING_cplus    17
#define IDENT_cplus     16
#define GOTO_REL_cplus  15
#define GOTO_cplus  14
#define STR_cplus   13
#define UNMARK_cplus    12
#define MARK_cplus  11
#define TAB_VIRT_cplus  10
#define TAB_cplus   9
#define NEWLINE_cplus   8
#define ATTRIBUTS_cplus     7
#define PLUS____TIRETIRETIRETIRETIRETIRE_____cplus  6
#undef _Tak
#define _Tak(func) func 
#endif
